Name:           gkermit
Version:        1.00
Release:        10%{?dist}
Summary:        A utility for transferring files using the Kermit protocol
Group:          Applications/Communications
License:        GPLv2+
URL:            http://www.columbia.edu/kermit/gkermit.html
Source0:        ftp://kermit.columbia.edu/kermit/archives/gku100.tar.gz
Patch0:         gkermit-1.00-makefile.patch
Patch1:         gkermit-1.00-std_headers.patch

%description
G-Kermit is a utility for file transfer using the Kermit protocol,
supporting text and binary transfers on 7-bit and 8-bit connections.
It is most useful as a remote endpoint; for a more fully-featured Kermit
program, use the ckermit package.

%prep
%setup -q -c
%patch0 -p1 -b .makefile
%patch1 -p1 -b .std_headers

%build
# Unfortunately we cannot use smp_mflags because Makefile isn't SMP-safe.
# With smp_mflags, make will attempt to run generated programs such as
# ./gwart before they have been compiled.
make RPM_CFLAGS="%{optflags} -DERRNO_H"

%install
install -d -m0755 %{buildroot}%{_bindir}
install -d -m0755 %{buildroot}%{_mandir}/man1
make install BINDIR=%{buildroot}%{_bindir} MANDIR=%{buildroot}%{_mandir}/man1

%files
%doc ANNOUNCE COPYING README
%{_bindir}/gkermit
%{_mandir}/man1/gkermit.1*

%changelog
* Fri Jul 13 2012 Eric Smith <eric@brouhaha.com>  1.00-10
- Updated to current Fedora packaging standards.

* Mon Jul  9 2001 Tim Powers <timp@redhat.com>
- when you rebuild, add a changelog entry and bump the release #

* Tue Dec 19 2000 Philipp Knirsch <pknirsch@redhat.de>
- rebuild

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 26 2000 Nalin Dahyabhai <nalin@redhat.com>
- Remove the setgid bit. (#11870)

* Mon Jun  5 2000 Nalin Dahyabhai <nalin@redhat.com>
- FHS fixes.

* Wed May 10 2000 Tim Powers <timp@redhat.com>
- quiet setup
- rebuilt for 7.0

* Sun Feb 27 2000 Cristian Gafton <gafton@redhat.com>
- make gkermit setgid uucp

* Wed Feb 02 2000 Cristian Gafton <gafton@redhat.com>
- fix description

* Thu Jan 13 2000 Cristian Gafton <gafton@redhat.com>
- create first version of the package
